/********************************************************************
This is a set of procedures to compute Standard Errors of differnent
functions using the Delta Method.
*********************************************************************/


proc standrho(b,c,vcm);

/* This computes estandar error for rho=b/sqrt(b^2+c^2).

Vcm is the covariance matrix of b and c. In Vcm[1,1]
we should have the variance of b                        */

local deno,grab,grac,gra,var;
"";


deno=(b^2+c^2);
deno=deno*sqrt(deno);
grab=c^2/deno;
grac=-c*b/deno;
gra=grab|grac;
var=gra'*vcm*gra;
retp(sqrt(var));
"The Value of the correlation is ";;b/sqrt(b^2+c^2);
"";
endp;

proc standris(beta,varbeta);

/* This computes the estandar error of param=exp(beta) */
local var;
Var=exp(beta)*varbeta*exp(beta);
retp(sqrt(var));
endp;

